<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.sys.dao.RoleMenuDao">
  <sql id="Base_Column_List">
    id
    , role_id, menu_id, permission
  </sql>
  <select id="queryPermissionList" resultType="com.sy.coinage.sys.vo.PermissionVO">
    select menu_id as menuId, sys_role_menu.permission, path
    from sys_role_menu
    LEFT JOIN sys_menu on sys_role_menu.menu_id = sys_menu.id
    <if test="ew.emptyOfWhere == false">
      ${ew.customSqlSegment}
    </if>
  </select>
</mapper>
